# Module: SnakyHash::Serializer::ConvenienceInstanceMethods

Defined in:
  lib/snaky_hash/serializer.rb

## Overview

Provides convenient instance methods for serialization

#### Examples:

#####

Using convenience methods

    hash = MyHash.new(key: 'value')
    json = hash.dump #=> '{"key":"value"}'

## Instance Method Summary collapse

- #dump ⇒ String

  Serializes the current hash instance to JSON.

## Instance Method Details

### #dump ⇒ `String`

Serializes the current hash instance to JSON

Returns:

- (`String`) —

  JSON string representation of the hash

    120
    121
    122
    # File 'lib/snaky_hash/serializer.rb', line 120

    def dump
      self.class.dump(self)
    end